# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html),
and is generated by [Changie](https://github.com/miniscruff/changie).



## sdk/python/v0.8.0 - 2023-08-03

This SDK uses 🚙 Engine + 🚗 CLI version `v0.8.0`. [See what changed in that release](https://github.com/dagger/dagger/releases/tag/v0.8.0).

🐍 https://pypi.org/project/dagger-io/v0.8.0/
📖 https://dagger-io.readthedocs.io/en/sdk-python-v0.8.0/

### 🔥 Breaking Changes
- Enforce keyword usage for optional arguments by @helderco in https://github.com/dagger/dagger/pull/5508
- Remove sync client by @helderco in https://github.com/dagger/dagger/pull/5514
- Restructure internal packages and modules by @helderco in https://github.com/dagger/dagger/pull/5558

### Added
- Add status updates during automatic provisioning by @helderco in https://github.com/dagger/dagger/pull/5522
- Show warning on version mismatch between engine and SDK by @helderco in https://github.com/dagger/dagger/pull/5315

### Dependencies
- Bump Engine to v0.8.0 by @github-actions in https://github.com/dagger/dagger/pull/5567

### What to do next
- Read the [documentation](https://docs.dagger.io/sdk/python)
- Join our [Discord server](https://discord.gg/dagger-io)
- Follow us on [Twitter](https://twitter.com/dagger_io)



## sdk/python/v0.6.4 - 2023-07-19

This SDK uses 🚙 Engine + 🚗 CLI version `v0.6.4`. [See what changed in that release](https://github.com/dagger/dagger/releases/tag/v0.6.4).

🐍 https://pypi.org/project/dagger-io/v0.6.4/
📖 https://dagger-io.readthedocs.io/en/sdk-python-v0.6.4/

### Changed
- Exposed explicit `with_` methods instead of generic in fewer types by @helderco in https://github.com/dagger/dagger/pull/5447

### Dependencies
- Bump Engine to v0.6.4 by @github-actions in https://github.com/dagger/dagger/pull/5489

### What to do next
- Read the [documentation](https://docs.dagger.io/sdk/python)
- Join our [Discord server](https://discord.gg/dagger-io)
- Follow us on [Twitter](https://twitter.com/dagger_io)



## sdk/python/v0.6.3 - 2023-07-04

This SDK uses 🚙 Engine + 🚗 CLI version `v0.6.3`. [See what changed in that release](https://github.com/dagger/dagger/releases/tag/v0.6.3).

🐍 https://pypi.org/project/dagger-io/v0.6.3/
📖 https://dagger-io.readthedocs.io/en/sdk-python-v0.6.3/

### Added
- Python Project Commands: Create thin wrapper around strawberry by @helderco in https://github.com/dagger/dagger/pull/5300

### Fixed
- Fix returning lists of objects by @helderco in https://github.com/dagger/dagger/pull/5375

### Dependencies
- Update strawberry, make typer optional & remove rich by @helderco in https://github.com/dagger/dagger/pull/5351
- Migrate back to hatch by @helderco in https://github.com/dagger/dagger/pull/5401
- Bump Engine to v0.6.3 by @github-actions in https://github.com/dagger/dagger/pull/5407

### What to do next
- Read the [documentation](https://docs.dagger.io/sdk/python)
- Join our [Discord server](https://discord.gg/dagger-io)
- Follow us on [Twitter](https://twitter.com/dagger_io)
